Public Member Functions | Protected Attributes | List of all members
libqxp::QXP3HeaderBase Class Reference

`#include <QXP3HeaderBase.h>`

Inheritance diagram for libqxp::QXP3HeaderBase:

## Public Member Functions
| QXP3HeaderBase (const boost::optional< QXPDocument::Type > &fileType=boost::none)
bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input) override
Public Member Functions inherited from libqxp::QXPHeader
| QXPHeader (const boost::optional< QXPDocument::Type > &fileType=boost::none)
virtual | ~QXPHeader ()=default
virtual bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input)=0
virtual QXPDocument::Type | getType () const =0
virtual std::unique_ptr< QXPParser > | createParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter)=0
bool | isLittleEndian () const
bool | isBigEndian () const
unsigned | version () const
const char * | encoding () const

## Protected Attributes
std::string | m_signature
Protected Attributes inherited from libqxp::QXPHeader
unsigned | m_proc
unsigned | m_version
unsigned | m_language
boost::optional< QXPDocument::Type > | m_fileType

## Constructor & Destructor Documentation

## ◆ QXP3HeaderBase()

libqxp::QXP3HeaderBase::QXP3HeaderBase | ( | const boost::optional< QXPDocument::Type > & | fileType = `boost::none` | ) |
| explicit

## Member Function Documentation

## ◆ load()

bool libqxp::QXP3HeaderBase::load | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |
| override virtual

Implements libqxp::QXPHeader.

Reimplemented in libqxp::QXP4Header.

Referenced by libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## Member Data Documentation

## ◆ m_signature

std::string libqxp::QXP3HeaderBase::m_signature
| protected

Referenced by load().

The documentation for this class was generated from the following files:

- QXP3HeaderBase.h
- QXP3HeaderBase.cpp